Show / Hide Table of Contents

# Struct ImFontAtlasPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontAtlasPtr

### Constructors

| Improve this Doc View Source

#### ImFontAtlasPtr(ImFontAtlas*)

##### Declaration

    public ImFontAtlasPtr(ImFontAtlas*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | nativePtr |

| Improve this Doc View Source

#### ImFontAtlasPtr(IntPtr)

##### Declaration

    public ImFontAtlasPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### ConfigData

##### Declaration

    public ImPtrVector<ImFontConfigPtr> ConfigData { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImFontConfigPtr> |

| Improve this Doc View Source

#### CustomRectIds

##### Declaration

    public RangeAccessor<int> CustomRectIds { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Int32> |

| Improve this Doc View Source

#### CustomRects

##### Declaration

    public ImPtrVector<ImFontAtlasCustomRectPtr> CustomRects { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImFontAtlasCustomRectPtr> |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImFontAtlasFlags Flags { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasFlags |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public ImVector<ImFontPtr> Fonts { get; }

##### Property Value

Type | Description
--- | ---
ImVector<ImFontPtr> |

| Improve this Doc View Source

#### Locked

##### Declaration

    public bool Locked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImFontAtlas*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlas* |

| Improve this Doc View Source

#### TexDesiredWidth

##### Declaration

    public int TexDesiredWidth { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexGlyphPadding

##### Declaration

    public int TexGlyphPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexHeight

##### Declaration

    public int TexHeight { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexID

##### Declaration

    public IntPtr TexID { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsAlpha8

##### Declaration

    public IntPtr TexPixelsAlpha8 { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsRGBA32

##### Declaration

    public IntPtr TexPixelsRGBA32 { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexUvScale

##### Declaration

    public Vector2 TexUvScale { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexUvWhitePixel

##### Declaration

    public Vector2 TexUvWhitePixel { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexWidth

##### Declaration

    public int TexWidth { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### AddCustomRectFontGlyph(ImFontPtr, UInt16, Int32, Int32, Single)

##### Declaration

    public int AddCustomRectFontGlyph(ImFontPtr font, ushort id, int width, int height, float advance_x)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontPtr | font |
System.UInt16 | id |
System.Int32 | width |
System.Int32 | height |
System.Single | advance_x |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### AddCustomRectFontGlyph(ImFontPtr, UInt16, Int32, Int32, Single, Vector2)

##### Declaration

    public int AddCustomRectFontGlyph(ImFontPtr font, ushort id, int width, int height, float advance_x, Vector2 offset)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontPtr | font |
System.UInt16 | id |
System.Int32 | width |
System.Int32 | height |
System.Single | advance_x |
System.Numerics.Vector2 | offset |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### AddCustomRectRegular(UInt32, Int32, Int32)

##### Declaration

    public int AddCustomRectRegular(uint id, int width, int height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Int32 | width |
System.Int32 | height |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### AddFont(ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFont(ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontDefault()

##### Declaration

    public ImFontPtr AddFontDefault()

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontDefault(ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFontDefault(ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromFileTTF(String, Single)

##### Declaration

    public ImFontPtr AddFontFromFileTTF(string filename, float size_pixels)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | filename |
System.Single | size_pixels |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromFileTTF(String, Single, ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFontFromFileTTF(string filename, float size_pixels, ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | filename |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromFileTTF(String, Single, ImFontConfigPtr, IntPtr)

##### Declaration

    public ImFontPtr AddFontFromFileTTF(string filename, float size_pixels, ImFontConfigPtr font_cfg, IntPtr glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | filename |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |
System.IntPtr | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedBase85TTF(String, Single)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedBase85TTF(string compressed_font_data_base85, float size_pixels)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | compressed_font_data_base85 |
System.Single | size_pixels |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedBase85TTF(String, Single, ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedBase85TTF(string compressed_font_data_base85, float size_pixels, ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | compressed_font_data_base85 |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedBase85TTF(String, Single, ImFontConfigPtr, IntPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedBase85TTF(string compressed_font_data_base85, float size_pixels, ImFontConfigPtr font_cfg, IntPtr glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | compressed_font_data_base85 |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |
System.IntPtr | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedTTF(IntPtr, Int32, Single)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedTTF(IntPtr compressed_font_data, int compressed_font_size, float size_pixels)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | compressed_font_data |
System.Int32 | compressed_font_size |
System.Single | size_pixels |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedTTF(IntPtr, Int32, Single, ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedTTF(IntPtr compressed_font_data, int compressed_font_size, float size_pixels, ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | compressed_font_data |
System.Int32 | compressed_font_size |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryCompressedTTF(IntPtr, Int32, Single, ImFontConfigPtr, IntPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryCompressedTTF(IntPtr compressed_font_data, int compressed_font_size, float size_pixels, ImFontConfigPtr font_cfg, IntPtr glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | compressed_font_data |
System.Int32 | compressed_font_size |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |
System.IntPtr | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryTTF(IntPtr, Int32, Single)

##### Declaration

    public ImFontPtr AddFontFromMemoryTTF(IntPtr font_data, int font_size, float size_pixels)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font_data |
System.Int32 | font_size |
System.Single | size_pixels |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryTTF(IntPtr, Int32, Single, ImFontConfigPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryTTF(IntPtr font_data, int font_size, float size_pixels, ImFontConfigPtr font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font_data |
System.Int32 | font_size |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### AddFontFromMemoryTTF(IntPtr, Int32, Single, ImFontConfigPtr, IntPtr)

##### Declaration

    public ImFontPtr AddFontFromMemoryTTF(IntPtr font_data, int font_size, float size_pixels, ImFontConfigPtr font_cfg, IntPtr glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font_data |
System.Int32 | font_size |
System.Single | size_pixels |
ImFontConfigPtr | font_cfg |
System.IntPtr | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### Build()

##### Declaration

    public bool Build()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CalcCustomRectUV(ImFontAtlasCustomRectPtr, out Vector2, out Vector2)

##### Declaration

    public void CalcCustomRectUV(ImFontAtlasCustomRectPtr rect, out Vector2 out_uv_min, out Vector2 out_uv_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRectPtr | rect |
System.Numerics.Vector2 | out_uv_min |
System.Numerics.Vector2 | out_uv_max |

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### ClearFonts()

##### Declaration

    public void ClearFonts()

| Improve this Doc View Source

#### ClearInputData()

##### Declaration

    public void ClearInputData()

| Improve this Doc View Source

#### ClearTexData()

##### Declaration

    public void ClearTexData()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### GetCustomRectByIndex(Int32)

##### Declaration

    public ImFontAtlasCustomRectPtr GetCustomRectByIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRectPtr |

| Improve this Doc View Source

#### GetGlyphRangesChineseFull()

##### Declaration

    public IntPtr GetGlyphRangesChineseFull()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesChineseSimplifiedCommon()

##### Declaration

    public IntPtr GetGlyphRangesChineseSimplifiedCommon()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesCyrillic()

##### Declaration

    public IntPtr GetGlyphRangesCyrillic()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesDefault()

##### Declaration

    public IntPtr GetGlyphRangesDefault()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesJapanese()

##### Declaration

    public IntPtr GetGlyphRangesJapanese()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesKorean()

##### Declaration

    public IntPtr GetGlyphRangesKorean()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesThai()

##### Declaration

    public IntPtr GetGlyphRangesThai()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetGlyphRangesVietnamese()

##### Declaration

    public IntPtr GetGlyphRangesVietnamese()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetMouseCursorTexData(ImGuiMouseCursor, out Vector2, out Vector2, out Vector2, out Vector2)

##### Declaration

    public bool GetMouseCursorTexData(ImGuiMouseCursor cursor, out Vector2 out_offset, out Vector2 out_size, out Vector2 out_uv_border, out Vector2 out_uv_fill)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiMouseCursor | cursor |
System.Numerics.Vector2 | out_offset |
System.Numerics.Vector2 | out_size |
System.Numerics.Vector2 | out_uv_border |
System.Numerics.Vector2 | out_uv_fill |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetTexDataAsAlpha8(out Byte*, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsAlpha8(out byte *out_pixels, out int out_width, out int out_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |

| Improve this Doc View Source

#### GetTexDataAsAlpha8(out Byte*, out Int32, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsAlpha8(out byte *out_pixels, out int out_width, out int out_height, out int out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |
System.Int32 | out_bytes_per_pixel |

| Improve this Doc View Source

#### GetTexDataAsAlpha8(out IntPtr, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsAlpha8(out IntPtr out_pixels, out int out_width, out int out_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |

| Improve this Doc View Source

#### GetTexDataAsAlpha8(out IntPtr, out Int32, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsAlpha8(out IntPtr out_pixels, out int out_width, out int out_height, out int out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |
System.Int32 | out_bytes_per_pixel |

| Improve this Doc View Source

#### GetTexDataAsRGBA32(out Byte*, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsRGBA32(out byte *out_pixels, out int out_width, out int out_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |

| Improve this Doc View Source

#### GetTexDataAsRGBA32(out Byte*, out Int32, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsRGBA32(out byte *out_pixels, out int out_width, out int out_height, out int out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |
System.Int32 | out_bytes_per_pixel |

| Improve this Doc View Source

#### GetTexDataAsRGBA32(out IntPtr, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsRGBA32(out IntPtr out_pixels, out int out_width, out int out_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |

| Improve this Doc View Source

#### GetTexDataAsRGBA32(out IntPtr, out Int32, out Int32, out Int32)

##### Declaration

    public void GetTexDataAsRGBA32(out IntPtr out_pixels, out int out_width, out int out_height, out int out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | out_pixels |
System.Int32 | out_width |
System.Int32 | out_height |
System.Int32 | out_bytes_per_pixel |

| Improve this Doc View Source

#### IsBuilt()

##### Declaration

    public bool IsBuilt()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetTexID(IntPtr)

##### Declaration

    public void SetTexID(IntPtr id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | id |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontAtlas* to ImFontAtlasPtr)

##### Declaration

    public static implicit operator ImFontAtlasPtr(ImFontAtlas*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasPtr |

| Improve this Doc View Source

#### Implicit(ImFontAtlasPtr to ImFontAtlas*)

##### Declaration

    public static implicit operator ImFontAtlas*(ImFontAtlasPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontAtlas* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontAtlasPtr)

##### Declaration

    public static implicit operator ImFontAtlasPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasPtr |